SystemOrganization addCategory: 'OrbeonLDAP'!

!OrbeonServerConfiguration methodsFor: '*orbeonLDAP' stamp: 'BrunoBB 03/16/2015 16:30'!
bindPasswordForWebOrbeon

	^(loginModes at: 'orbeon-web') bindPassword! !

!OrbeonServerConfiguration methodsFor: '*orbeonLDAP' stamp: 'BrunoBB 03/16/2015 16:28'!
bindPasswordForWebProcess

	^(loginModes at: 'orbeon-processes-web') bindPassword! !

!OrbeonServerConfiguration methodsFor: '*orbeonLDAP' stamp: 'BrunoBB 03/16/2015 16:29'!
dnForWebOrbeon

	^(loginModes at: 'orbeon-web') dn! !

!OrbeonServerConfiguration methodsFor: '*orbeonLDAP' stamp: 'BrunoBB 03/16/2015 16:28'!
dnForWebProcess

	^(loginModes at: 'orbeon-processes-web') dn! !

!OrbeonServerConfiguration methodsFor: '*orbeonLDAP' stamp: 'BrunoBB 03/16/2015 16:29'!
ldapIpForWebOrbeon

	^(loginModes at: 'orbeon-web') ldapIP! !

!OrbeonServerConfiguration methodsFor: '*orbeonLDAP' stamp: 'BrunoBB 03/16/2015 16:28'!
ldapIpForWebProcess

	^(loginModes at: 'orbeon-processes-web') ldapIP! !

!OrbeonServerConfiguration methodsFor: '*orbeonLDAP' stamp: 'BrunoBB 03/16/2015 16:29'!
ouForWebOrbeon

	^(loginModes at: 'orbeon-web') ou! !

!OrbeonServerConfiguration methodsFor: '*orbeonLDAP' stamp: 'BrunoBB 03/16/2015 16:28'!
ouForWebProcess

	^(loginModes at: 'orbeon-processes-web') ou! !

!OrbeonServerConfiguration methodsFor: '*orbeonLDAP' stamp: 'BrunoBB 03/16/2015 16:45'!
setLdapFor: webAppName

	(loginModes at: webAppName) isLdapMode ifTrue: [^loginModes at: webAppName].

	^loginModes at: webAppName put: OrbeonLdapLogin new! !

!OrbeonServerConfiguration methodsFor: '*orbeonLDAP' stamp: 'BrunoBB 03/16/2015 16:33'!
setLocalForOrbeon

	^loginModes at: 'orbeon-web' put: OrbeonWebLocalLogin new! !

!OrbeonServerConfiguration methodsFor: '*orbeonLDAP' stamp: 'BrunoBB 03/16/2015 16:33'!
setLocalForProcesses

	^loginModes at: 'orbeon-processes-web' put: OrbeonProcessWebLocalLogin new! !

Object subclass: #OrbeonLoginMode
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OrbeonLDAP'!

OrbeonLoginMode subclass: #OrbeonLdapLogin
	instanceVariableNames: 'ldapIP dn ou bindPassword'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OrbeonLDAP'!

!OrbeonLdapLogin commentStamp: '' prior: 0!
ldapIP 				- 10.255.5.111
dn 					- "cn=admin.orbeon,C=UY"
ou					- "uid=username ou=usuarios,cn=orbeon-test,C=UY"
bindPassword	- myPassword


	^(System performOnServer:
		'ldapcompare -x -D "cn=admin.orbeon,C=UY" -H ldap://10.255.5.111 "uid=', name,',ou=usuarios,cn=orbeon-test,C=UY" -w orbeon1999  userpassword:', password) trimBlanks!

!OrbeonLdapLogin class methodsFor: 'other' stamp: 'BrunoBB 03/15/2015 15:59'!
modeName

	^'LDAP'! !

!OrbeonLdapLogin methodsFor: 'Accessing' stamp: 'BrunoBB 03/15/2015 12:01'!
bindPassword

   "Return the value of the instance variable 'bindPassword'."
   ^bindPassword! !

!OrbeonLdapLogin methodsFor: 'Updating' stamp: 'BrunoBB 03/15/2015 12:01'!
bindPassword: newValue

   "Modify the value of the instance variable 'bindPassword'."
   bindPassword := newValue! !

!OrbeonLdapLogin methodsFor: 'Accessing' stamp: 'BrunoBB 03/15/2015 12:01'!
dn

   "Return the value of the instance variable 'dn'."
   ^dn! !

!OrbeonLdapLogin methodsFor: 'Updating' stamp: 'BrunoBB 03/15/2015 12:01'!
dn: newValue

   "Modify the value of the instance variable 'dn'."
   dn := newValue! !

!OrbeonLdapLogin methodsFor: 'other' stamp: 'BrunoBB 03/15/2015 15:43'!
isLdapMode

	^true! !

!OrbeonLdapLogin methodsFor: 'Accessing' stamp: 'BrunoBB 03/15/2015 12:01'!
ldapIP

   "Return the value of the instance variable 'ldapIP'."
   ^ldapIP! !

!OrbeonLdapLogin methodsFor: 'Updating' stamp: 'BrunoBB 03/15/2015 12:01'!
ldapIP: newValue

   "Modify the value of the instance variable 'ldapIP'."
   ldapIP := newValue! !

!OrbeonLdapLogin methodsFor: 'Accessing' stamp: 'BrunoBB 03/15/2015 12:04'!
ou

   "Return the value of the instance variable 'ou'."
   ^ou! !

!OrbeonLdapLogin methodsFor: 'Updating' stamp: 'BrunoBB 03/15/2015 12:04'!
ou: newValue

   "Modify the value of the instance variable 'ou'."
   ou := newValue! !

!OrbeonLdapLogin methodsFor: 'other' stamp: 'BrunoBB 03/17/2015 04:41'!
validateUser: username password: password
	| ldapQueryResult |

	ldapQueryResult := (System performOnServer:
		'ldapcompare -x -D ', dn,' -H ldap://', ldapIP,' "uid=', username, ou, ' -w ', bindPassword,' userpassword:', password) trimBlanks.

	^ldapQueryResult = 'TRUE'! !

OrbeonLoginMode subclass: #OrbeonLocalLogin
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OrbeonLDAP'!

!OrbeonLocalLogin class methodsFor: 'other' stamp: 'BrunoBB 03/16/2015 16:00'!
modeName

	^'Local'! !

OrbeonLocalLogin subclass: #OrbeonProcessWebLocalLogin
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OrbeonLDAP'!

!OrbeonProcessWebLocalLogin class methodsFor: 'other' stamp: 'BrunoBB 03/15/2015 13:28'!
setAsDefault

	^OrbeonServerConfiguration default loginModes
			at: 'orbeon-processes-web' 
			put: OrbeonProcessWebLocalLogin new.! !

!OrbeonProcessWebLocalLogin methodsFor: 'other' stamp: 'BrunoBB 12/08/2015 09:37'!
validateUser: username password: password

	^BpmUser cache anySatisfy: [:each | each username = username and:[each password = password]]! !

OrbeonLocalLogin subclass: #OrbeonWebLocalLogin
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OrbeonLDAP'!

!OrbeonWebLocalLogin class methodsFor: 'other' stamp: 'BrunoBB 03/15/2015 13:27'!
setAsDefault

	^OrbeonServerConfiguration default loginModes
			at: 'orbeon-web' 
			put: OrbeonWebLocalLogin new.! !

!OrbeonWebLocalLogin methodsFor: 'other' stamp: 'BrunoBB 12/21/2015 08:52'!
validateUser: username password: password

	^OrbeonUser cache anySatisfy: [:each | each name = username and:[each password = password]]! !

!OrbeonLoginMode methodsFor: 'other' stamp: 'BrunoBB 03/15/2015 15:42'!
isLdapMode

	^false! !

!OrbeonLoginMode methodsFor: 'other' stamp: 'BrunoBB 03/15/2015 15:59'!
modeName

	^self class modeName! !
